import request from '@/utils/request'
// 查询钥匙柜提示信息
export function getBasicInfo() {
  return request({
    url: '/clw/KeyCase/basicInfo',
    method: 'get',
  })
}
//   钥匙柜编辑
export function putKeyCase(params) {
  return request({
    url: '/clw/KeyCase/basicInfo',
    method: 'put',
    data: params,
  })
}
//   用车信息
export function getUsingCarList() {
  return request({
    url: '/clw/KeyCase/usingCarList',
    method: 'get',
  })
}
//提醒归还
export function Reminder (id) {
    return request({
      url: '/clw/KeyCase/notification/' + id,
      method: 'post'
    })
  }
//柜子列表
export function KeyCaseList () {
    return request({
      url: '/clw/KeyCase/list',
      method: 'get'
    })
  }
//钥匙柜维修更换下拉柜子列表
export function getKeySelect() {
  return request({
    url: '/clw/KeyCase/select/boxInfo',
    method: 'get'
  })
}
//钥匙柜车辆绑定 
export function getCarBind(params) {
  return request({
    url: '/clw/KeyCase/bind',
    method: 'put',
    data:params
  })
}
//车辆下拉
export function getCarSelect() {
  return request({
    url: '/clw/KeyCase/select/carInfo',
    method: 'get'
  })
}
// 指定开柜
export function getOpenOne(params) {
  return request({
    url: '/clw/KeyCase/open',
    method: 'post',
    data:params
  })
}
//维修完成
export function getRepairSuccess(params) {
  return request({
    url: '/clw/KeyCase/repairSuccess',
    method: 'post',
    data:params
  })
}
//维修
export function getRepair(params) {
  return request({
    url: '/clw/KeyCase/repair',
    method: 'post',
    data:params
  })
}
//解除关联
export function getUnbind(params) {
  return request({
    url: '/clw/KeyCase/unbind',
    method: 'put',
    data:params
  })
}
//短信提醒
export function getWarn(params) {
  return request({
    url: '/clw/remind',
    method: 'put',
    data:params
  })
}
//一建全开箱
export function getOpenAll() {
  return request({
    url: '/clw/KeyCase/openAll',
    method: 'post',
  })
}